Subject: bug#638 closed by Chong Yidong <[email-masked]> (Re: 23.0.60; read-char evaluates to unexpected non-character value)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#638: 23.0.60; read-char evaluates to unexpected non-character value

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
638: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=638
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Thu Aug 14 12:26:41 2008
From: Chong Yidong <[email-masked]>
To: Lawrence Mitchell <[email-masked]>
Cc: [email-masked]
Subject: Re: 23.0.60; read-char evaluates to unexpected non-character value
Date: Thu, 14 Aug 2008 15:27:19 -0400

Lawrence Mitchell wrote:

> > When I do:
> >
> >    $ emacs -Q --eval "(insert (format \"%s\" (read-char nil nil 0.1))))"
> >
> > The content of *scratch* is:
> >
> >    7340161
>
> This is due to the following change:
>
> 2008-03-05  Kenichi Handa  <[email-masked]>
>
> 	* lread.c (Fread_char): Resolve modifiers.
> 	(Fread_char_exclusive): Likewise.
>
> It unconditionally resolves modifiers even if read_filtered_event
> returns nil.  The following patch fixes things, I think.

I've checked your patch into CVS.  Thanks for debugging and fixing this.

>From [email-masked] Fri Aug  1 04:55:37 2008
From: Markus Triska <[email-masked]>
To: [email-masked]
Subject: 23.0.60; read-char evaluates to unexpected non-character value
Date: Fri, 01 Aug 2008 13:55:22 +0200

When I do:

   $ emacs -Q --eval "(insert (format \"%s\" (read-char nil nil 0.1))))"

The content of *scratch* is:

   7340161

whereas it is "nil" in Emacs 22.2.

In GNU Emacs 23.0.60.3 (i386-apple-darwin8.11.1, GTK+ Version 2.12.9)
 of 2008-07-25 on pnsgw3-client030.demo.tuwien.ac.at
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40400000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t